Package csb :: Package bio :: Package io :: Module psipred :: Class PSIPredParser

[frames] | no frames]

# Class PSIPredParser

source code

    object --+
             |
            PSIPredParser

Simple PSI-PRED Secondary Structure Parser.

Instance Methods

SecondaryStructure

parse(self, psipred_file) | source code

list of PSIPredResidueInfo

parse_scores(self, scores_file) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### parse(self, psipred_file)

source code

Parameters:
  - `psipred_file` (str) - source PSI-PRED *.horiz file to parse
Returns: SecondaryStructure

### parse_scores(self, scores_file)

source code

Parameters:
  - `scores_file` (str) - source PSI-PRED *.ss2 file to parse
Returns: list of PSIPredResidueInfo